fmt_human(3)

NAME
fmt_human - write a human readable ASCII representation of a long integer

SYNTAX
#include <fmt.h> unsigned int fmt_human(char *dest,unsigned long long source);

DESCRIPTION
fmt_human writes a human readable ASCII representation of source to dest and returns the number of bytes written. The result resembles the file size output of "ls -H"; 1000 becomes "1.0k", 1000000 becomes "1.0M" and so on for "G" and "T". fmt_human does not append \0. If dest equals FMT_LEN (i.e. is zero), fmt_human returns the number of bytes it would have written. The output of fmt_human can not exceed 11 (assuming unsigned long long has 64 bits).

SEE ALSO
fmt_humank(3), scan_human(3)